Index: /sandbox/newExpressoMail/expressoMail1_2/js/draw_api.js
===================================================================
--- /sandbox/newExpressoMail/expressoMail1_2/js/draw_api.js	(revision 7064)
+++ /sandbox/newExpressoMail/expressoMail1_2/js/draw_api.js	(revision 7167)
@@ -49,302 +49,4 @@
 // aqui no expressoMail.
 
-function draw_tree_folders(folders){
-	// Check if the tree folders alredy exist.
-	if (Element('dftree_tree_folders')){
-		if (!expresso_offline) {
-			var update_tree_folders = function(data){
-				draw_quota(data);
-				var unseen_in_mailbox = 0;
-				var unseen_in_shared_folders = 0;
-				for (var i=0; i<data.length; i++){
-					if ( data[i].folder_unseen > 0 )
-					{
-						unseen_in_mailbox = parseInt( unseen_in_mailbox + data[ i ].folder_unseen );
-						if ( data[i].folder_id.indexOf( 'INBOX' ) !== 0 )
-							unseen_in_shared_folders = parseInt( unseen_in_shared_folders + data[ i ].folder_unseen );
-					}
-
-					var folder_unseen = Element('dftree_'+data[i].folder_id+'_unseen');
-
-					if ((folder_unseen) && (data[i].folder_unseen > 0))
-					{
-						folder_unseen.innerHTML = data[i].folder_unseen;
-					}
-					else if (data[i].folder_unseen > 0)
-					{
-						tree_folders.getNodeById(data[i].folder_id).alter({caption:lang_folder(data[i].folder_name) + '<font style=color:red>&nbsp(</font><span id="dftree_'+data[i].folder_id+'_unseen" style=color:red>'+data[i].folder_unseen+'</span><font style=color:red>)</font>'});
-						tree_folders.getNodeById(data[i].folder_id)._refresh();
-					}
-					else if (data[i].folder_unseen <= 0)
-					{
-						if(tree_folders.getNodeById(data[i].folder_id)){
-						tree_folders.getNodeById(data[i].folder_id).alter({caption:lang_folder(data[i].folder_name)});
-						tree_folders.getNodeById(data[i].folder_id)._refresh();
-					}
-					}
-
-					if(data[i].folder_id == current_folder){
-						var old_new_m = isNaN(parseInt(Element('new_m').innerHTML)) ? parseInt(Element('new_m').firstChild.innerHTML) : parseInt(Element('new_m').innerHTML);
-						Element('new_m').innerHTML = data[i].folder_unseen ? '<font color="RED">'+data[i].folder_unseen+'</font>' : 0;
-						draw_paging(Element('tot_m').innerHTML);
-					}
-				}
-
-				var display_unseen_in_mailbox = tree_folders.getNodeById( 'root' );
-				display_unseen_in_mailbox.alter({caption:get_lang("My Folders")});
-				display_unseen_in_mailbox._refresh();
-
-				var display_unseen_in_shared_folders = tree_folders.getNodeById( 'user' );
-				if ( display_unseen_in_shared_folders )
-				{
-					if ( unseen_in_shared_folders )
-						display_unseen_in_shared_folders.alter({caption:'<font style=color:red>[</font><span id="dftree_user_unseen" style="color:red">' + unseen_in_shared_folders +'</span><font style=color:red>]</font> ' + get_lang("Shared folders")});
-					else
-						display_unseen_in_shared_folders.alter({caption:get_lang("Shared folders")});
-					display_unseen_in_shared_folders._refresh();
-				}
-			}
-			cExecute ("$this.imap_functions.get_folders_list&folder="+current_folder, update_tree_folders);
-		}
-
-		return;
-	}
-	else{
-		if (!expresso_offline) {
-			tree_folders = new dFTree({name: 'tree_folders'});
-
-			var n_root = new dNode({id:'root', caption: get_lang("My Folders")});
-			tree_folders.add(n_root,'anything'); //Places the root; second argument can be anything.
-
-			var unseen_in_mailbox = 0;
-			var unseen_in_shared_folders = 0;
-			for (var i=0; i<folders.length; i++){
-				if (folders[i].folder_unseen > 0)
-				{
-					unseen_in_mailbox = parseInt( unseen_in_mailbox + folders[ i ].folder_unseen );
-					if ( folders[i].folder_id.indexOf( 'INBOX' ) !== 0 )
-						unseen_in_shared_folders = parseInt( unseen_in_shared_folders + folders[ i ].folder_unseen );
-
-					var nn = new dNode({id:folders[i].folder_id, caption:lang_folder(folders[i].folder_name) + '<font style=color:red>&nbsp(</font><span id="dftree_'+folders[i].folder_id+'_unseen" style=color:red>'+folders[i].folder_unseen+'</span><font style=color:red>)</font>', onClick:"change_folder('"+folders[i].folder_id+"','"+folders[i].folder_name+"')", plusSign:folders[i].folder_hasChildren});
-
-					if( folders[i].folder_name.toLowerCase() == 'inbox' )
-						Element('new_m').innerHTML = '<font style="color:red">' + folders[i].folder_unseen + '</font>';
-				}
-				else
-					var nn = new dNode({id:folders[i].folder_id, caption:lang_folder(folders[i].folder_name), onClick:"change_folder('"+folders[i].folder_id+"','"+folders[i].folder_name+"')", plusSign:folders[i].folder_hasChildren});
-
-				if (folders[i].folder_parent == '')
-					folders[i].folder_parent = 'root';
-				else if (folders[i].folder_parent == 'user'){
-
-					if (!tree_folders.getNodeById('user')){
-                                                tmpFolderId = folders[i].folder_id.split(cyrus_delimiter).pop();
-						var n_root_shared_folders = new dNode({id:'user', caption:get_lang("Shared folders"), plusSign:true});
-						tree_folders.add(n_root_shared_folders,'root');
-					}
-				}
-				tree_folders.add(nn,folders[i].folder_parent);
-			}
-		}
-
-
-
-		var handlerChannel = function(data){
-			if (data == null || typeof(data) == 'string')
-				return;
-			/*
-			*  RSS NEWS
-			*/
-			var root_rss = new dNode({
-				id: "news_root",
-				caption: get_lang('News')
-			});
-			tree_folders.add(root_rss, "root");
-			for(i=0; i < data.length; i++)
-			{
-				var nodeNews = new dNode({
-					id: "NEWS/"+data[i].name,
-					caption: data[i].name,
-					onClick: "open_rss('"+data[i].rss_url+"')",
-					plusSign: 0
-				});
-				tree_folders.add(nodeNews,"news_root");
-			}
-			var noden=document.getElementById('lnews_roottree_folders');
-			noden.style.backgroundImage="url(templates/"+template+"/images/menu/rss.png)";
-			
-			
-			
-		}
-//		cExecute('$this.rss.getChannels',handlerChannel);
-
-
-		/**
-		 * Pastas locais
-		 */
-		if (preferences.use_local_messages==1 || expresso_offline) {
-			    //verifica se gears esta installado ou o offline
-			if( (!window.google || !google.gears) &&
-			     !expresso_local_messages.installGears() ){
-                                preferences.use_local_messages = 0;
-			}
-			else if( !expresso_local_messages.is_offline_installed() )
-				preferences.use_local_messages = 0;
-			else{
-				if (expresso_offline)
-					tree_folders = new dFTree({
-						name: 'tree_folders'
-					});
-				var root_local = new dNode({
-					id: "local_root",
-					caption: get_lang('local folders')
-				});
-				tree_folders.add(root_local, "root"); //coloca root local
-				var local_folders = expresso_local_messages.list_local_folders();
-				for (var i in local_folders) { //Coloca as pastas locais.
-					var node_root = "local_root";
-					var new_caption = local_folders[i][0];
-					if (local_folders[i][0].indexOf("/") != "-1") {
-						final_pos = local_folders[i][0].lastIndexOf("/");
-						node_root = "local_" + local_folders[i][0].substr(0, final_pos);
-						new_caption = local_folders[i][0].substr(final_pos + 1);
-					}
-					if (local_folders[i][1] > 0)
-						var nodeLocal = new dNode({
-							id: "local_" + local_folders[i][0],
-							caption: lang_folder(new_caption) + '<font style=color:red>&nbsp(</font><span id="local_unseen" style=color:red>' + local_folders[i][1] + '</span><font style=color:red>)</font>',
-							onClick: "change_folder('local_" + local_folders[i][0] + "','" + new_caption + "')",
-							plusSign: local_folders[i][2]
-						});
-					else
-						var nodeLocal = new dNode({
-							id: "local_" + local_folders[i][0],
-							caption: lang_folder(new_caption),
-							onClick: "change_folder('local_" + local_folders[i][0] + "','" + new_caption + "')",
-							plusSign: local_folders[i][2]
-						});
-						tree_folders.add(nodeLocal, node_root);
-					}
-				}
-			}
-
-		/*tree_folders.draw(Element('content_folders'));
-		if (!expresso_offline) {
-			n_root.changeState();
-			tree_folders.getNodeById('INBOX')._select();
-		}
-		else {
-			root_local.changeState();
-			tree_folders.getNodeById('local_Inbox')._select();
-		}*/
-		
-		var trash_span = document.getElementById(mount_url_folder(["lINBOX",special_folders["Trash"]])  + 'tree_folders'); 
-		var draft_span = document.getElementById(mount_url_folder(["lINBOX",special_folders["Drafts"]]) + 'tree_folders'); 
-		var sent_span  = document.getElementById(mount_url_folder(["lINBOX",special_folders["Sent"]]) + 'tree_folders'); 
-		var spam_span  = document.getElementById(mount_url_folder(["lINBOX",special_folders["Spam"]]) + 'tree_folders');
-		//local folders
-		var sent_local_conf = this.preferences.save_in_folder.replace(mount_url_folder(["INBOX",""]),"local_");
-		var sent_local_conf_span=document.getElementById('l'+sent_local_conf+'tree_folders');
-		var trash_local_span=document.getElementById('llocal_'+special_folders['Trash']+'tree_folders');
-		var draft_local_span=document.getElementById('llocal_'+special_folders['Drafts']+'tree_folders');
-		var sent_span_default=document.getElementById('llocal_'+special_folders['Sent']+'tree_folders');
-
-
-		if (trash_span)
-			trash_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_trash.png)";
-
-		if (draft_span)
-			draft_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_draft.png)"
-
-		if (sent_span)
-			sent_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_sent.png)";
-		if (spam_span)
-			spam_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_spam.png)";
-
-		if (sent_span_default)
-			sent_span_default.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_sent.png)";
-		//Local folders
-
-		if (sent_local_conf_span)
-			sent_local_conf_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_sent.png)";
-		if (trash_local_span)
-			trash_local_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_trash.png)";
-		if (draft_local_span)
-			draft_local_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_draft.png)"
-		if (sent_span_default)
-			sent_span_default.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_sent.png)";
-
-
-		draw_paging(Element('tot_m').innerHTML);
-		if(document.getElementById(mount_url_folder(["nINBOX",special_folders["Trash"]])+"tree_folders"))
-		{
-			var trash = document.createElement("SPAN");
-			trash.id = 'empty_trash';
-			trash.className = 'clean_folder';
-			trash.style.cursor = 'pointer';
-			trash.onclick = function () {empty_trash_imap();};
-			trash.innerHTML = "["+get_lang("Clean")+"]";
-			trash.title=get_lang("Empty trash");
-			trash.onmouseover = function() {trash.style.color="red";};
-			trash.onmouseout= function() {trash.style.color="#666666";};
-			document.getElementById(mount_url_folder(["nINBOX",special_folders["Trash"]])+"tree_folders").appendChild(trash);
-		}
-		if(document.getElementById(mount_url_folder(["nINBOX",special_folders["Spam"]])+"tree_folders"))
-		{
-						var spam = document.createElement("SPAN");
-						spam.id = 'empty_spam';
-						spam.className = 'clean_folder';
-						spam.style.cursor = 'pointer';
-						spam.style.padding = '0 0 0 6px';
-						spam.onclick = function () {empty_spam_imap();};
-						spam.innerHTML = "["+get_lang("Clean")+"]";
-						spam.title=get_lang("Empty Spam Folder");
-						spam.onmouseover = function() {spam.style.color="red";};
-						spam.onmouseout= function() {spam.style.color="#666666";};
-						document.getElementById(mount_url_folder(["nINBOX",special_folders["Spam"]])+"tree_folders").appendChild(spam);
-			   }
-
-		if(!expresso_offline)
-			var display_unseen_in_mailbox = tree_folders.getNodeById( 'root' );
-		else
-			var display_unseen_in_mailbox = tree_folders.getNodeById( 'local_root' );
-		display_unseen_in_mailbox.alter({caption:get_lang("My Folders")});
-		display_unseen_in_mailbox._refresh();
-
-		var display_unseen_in_shared_folders = tree_folders.getNodeById( 'user' );
-		if ( display_unseen_in_shared_folders )
-		{
-			if ( unseen_in_shared_folders )
-				display_unseen_in_shared_folders.alter({caption:'<font style=color:red>[</font><span id="dftree_user_unseen" style="color:red">' + unseen_in_shared_folders +'</span><font style=color:red>]</font> ' + get_lang("Shared folders")});
-			else
-				display_unseen_in_shared_folders.alter({caption:get_lang("Shared folders")});
-			display_unseen_in_shared_folders._refresh();
-		}
-	}
-
-	if (!expresso_offline) {
-		var folder_create = "";
-		var nm1 = "";
-		if(tree_folders._folderPr.length > 0){
-			var nm_folder = "";
-			for(var i=0; i < tree_folders._folderPr.length; i++){
-				nm_folder = tree_folders._folderPr[i].split(cyrus_delimiter);
-				if(nm_folder[0] == "INBOX"){
-					if(nm1 == ""){
-						nm1 = nm_folder[1];
-						folder_create = "INBOX" + cyrus_delimiter + nm_folder[1] + ";";
-					}else{
-						if( nm1 != nm_folder[1]){
-							folder_create += "INBOX" + cyrus_delimiter + nm_folder[1] + ";";
-							nm1 = nm_folder[1];
-						}
-					}
-				}
-			}
-		}
-	}
-	
-	outOfficeVerify();
-}
 
 function draw_tree_labels(){
@@ -489,5 +191,5 @@
 		
 		if(data) {
-			draw_tree_folders(data);
+			//draw_tree_folders(data);
 			draw_quota(data);
 			var f_unseen = Element('dftree_'+current_folder+'_unseen');
@@ -924,5 +626,5 @@
 function syncColumns() {
 	var thisCell;
-	var tbl = (document.getElementById("ui-tabs-"+numBox)==null ? 1 : 0);
+	var tbl = (document.getElementById("ptabs_"+numBox)==null ? 1 : 0);
 	if (objCell)
 		thisCell = objCell;
@@ -1230,5 +932,5 @@
 	numBox = 0; //As pastas sempre estarï¿œo na aba 0
 	
-	openTab.content_id[numBox] = document.getElementById("ui-tabs-"+numBox);
+	openTab.content_id[numBox] = document.getElementById("ptabs_"+numBox);
 	//openTab.content_id[numBox].innerHTML = "";
 	openTab.imapBox[numBox] = msg_folder;
@@ -1411,5 +1113,5 @@
 	}
 
-	_divScroll.style.overflowY = "scroll";
+	_divScroll.style.overflowY = "auto";
 	_divScroll.style.overflowX = "hidden";
 	_divScroll.style.width	="100%";
@@ -1663,5 +1365,6 @@
 			if(preferences.use_shortcuts == '1')
 				$(this).parents("tr:first").addClass("current_selected_shortcut_msg selected_shortcut_msg");
-			changeBgColor(e,headers_msgs.msg_number);
+			//changeBgColor(e,headers_msgs.msg_number);
+            $(this).parents("tr:first").toggleClass("selected_msg");
 			$(this).blur();
 		});
